package com.jenny.advancedarrows.entities;

import com.jenny.advancedarrows.config.ConfigClient;
import com.jenny.advancedarrows.items.items;
import net.minecraft.core.particles.ParticleTypes;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.Level;
import net.minecraft.world.phys.Vec3;
import org.jetbrains.annotations.NotNull;

public class incendiaryArrow extends baseArrow{
    public incendiaryArrow(EntityType<incendiaryArrow> pEntityType, Level pLevel) {
        super(pEntityType, pLevel);
    }

    public incendiaryArrow(Level pLevel, LivingEntity pShooter) {
        super(pLevel, pShooter, entities.ARROW_INCENDIARY.get());
    }

    public incendiaryArrow(Level pLevel, double x, double y, double z) {
        super(entities.ARROW_INCENDIARY.get(), pLevel);
        setPos(x, y, z);
    }

    @Override
    protected void doPostHurtEffects(@NotNull LivingEntity pTarget) {
        pTarget.setSecondsOnFire(5);
    }

    @NotNull
    protected ItemStack getPickupItem() {
        return new ItemStack(items.ARROW_INCENDIARY.get());
    }

    @Override
    public void spawnParticles() {
        for (int i = 1; i <= ConfigClient.calcPCount(5); i++) {
            double m = (double) level().getRandom().nextIntBetweenInclusive(- 100, 100) / 100;
            Vec3 pos = createParticlePos(1f);
            level().addParticle(ParticleTypes.FLAME, pos.x, pos.y, pos.z, 0, 0, 0);
        }
    }
}
